classification
Title: AsyncMock not cited as new in 3.8
Type: Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: John Belmonte, docs@python, lisroach, miss-islington, xtreak
Priority: normal Keywords: easy, newcomer friendly, patch

Created on 2019-11-09 06:48 by John Belmonte, last changed 2019-12-25 06:06 by xtreak. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 17102 merged jbelmonte, 2019-11-10 05:23
PR 17268 merged miss-islington, 2019-11-20 00:30
Messages (6)
msg356290 - (view) Author: John Belmonte (John Belmonte) Date: 2019-11-09 06:48
AsyncMock appears to be new in Python 3.8, but doc is missing info on when it was introduced.

https://docs.python.org/3.8/library/unittest.mock.html#unittest.mock.AsyncMock
msg356315 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-11-10 04:52
John, would you like to raise a PR for this? The fix would be to add versionadded sphinx directive to https://github.com/python/cpython/blob/master/Doc/library/unittest.mock.rst . I am marking it as easy.
msg356316 - (view) Author: John Belmonte (John Belmonte) Date: 2019-11-10 04:57
yes, will do
msg357010 - (view) Author: Lisa Roach (lisroach) * (Python committer) Date: 2019-11-20 00:30
New changeset 279d8df5e5e8bbd4429420649359f7afcb4c8cce by Lisa Roach (John Belmonte) in branch 'master':
bpo-38753: AsyncMock added in version 3.8 (GH-17102)
https://github.com/python/cpython/commit/279d8df5e5e8bbd4429420649359f7afcb4c8cce
msg358858 - (view) Author: miss-islington (miss-islington) Date: 2019-12-25 04:42
New changeset 8c0f0016e2d39f86589187db75012238c4e760e9 by Miss Islington (bot) in branch '3.8':
bpo-38753: AsyncMock added in version 3.8 (GH-17102)
https://github.com/python/cpython/commit/8c0f0016e2d39f86589187db75012238c4e760e9
msg358859 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-12-25 06:06
Thanks John for the report and patch. Closing it as resolved.
History
Date User Action Args
2019-12-25 06:06:09xtreaksetstatus: open -> closed
resolution: fixed
messages: + msg358859

stage: patch review -> resolved
2019-12-25 04:42:27miss-islingtonsetnosy: + miss-islington
messages: + msg358858
2019-11-20 00:30:59miss-islingtonsetpull_requests: + pull_request16760
2019-11-20 00:30:47lisroachsetmessages: + msg357010
2019-11-10 05:23:33jbelmontesetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request16608
2019-11-10 04:57:02John Belmontesetmessages: + msg356316
2019-11-10 04:52:51xtreaksetkeywords: + easy, newcomer friendly

stage: needs patch
messages: + msg356315
versions: + Python 3.9
2019-11-09 06:57:06xtreaksetnosy: + lisroach, xtreak
2019-11-09 06:48:54John Belmontecreate